Module
Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part Two

Selle käsu kasutamiseks...

Lisamine - Funktsioon - Kategooria Lisatud

## IMABS

Tulemuseks on kompleksarvu absoluutväärtus.

### Syntax

IMABS("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMABS("5+12j") tagastab 13.

## [text/scalc/01/func_imcos.xhp#imcos_head not found].

Returns the cosine of a complex number.

## [text/scalc/01/func_imcosh.xhp#imcosh_head not found].

Returns the hyperbolic cosine of a complex number.

## [text/scalc/01/func_imcot.xhp#imcot_head not found].

Returns the cotangent of a complex number.

## [text/scalc/01/func_imcsc.xhp#imcsc_head not found].

Returns the cosecant of a complex number.

## [text/scalc/01/func_imcsch.xhp#imcsch_head not found].

Returns the hyperbolic cosecant of a complex number.

## [text/scalc/01/func_imsec.xhp#imsec_head not found].

Returns the secant of a complex number.

## [text/scalc/01/func_imsech.xhp#imsech_head not found].

Returns the hyperbolic secant of a complex number.

## [text/scalc/01/func_imsin.xhp#imsin_head not found].

Returns the sine of a complex number.

## [text/scalc/01/func_imsinh.xhp#imsinh_head not found].

Returns the hyperbolic sine of a complex number.

## [text/scalc/01/func_imtan.xhp#imtan_head not found].

Returns the tangent of a complex number.

## COMPLEX

Tulemuseks on kompleksarv, mis koostatakse reaalosa ja imaginaarosa kordajate abil.

### Syntax

COMPLEX(Reaalosa; I-osa; Sufiks)

Reaalosa on kompleksarvu reaalosa.

I-osa on kompleksarvu imaginaarosa kordaja.

Sufiks on üks variantidest "i" või "j".

### Example

=IMSQRT("3+4i") tagastab 2+1i.

## CONVERT

Teisendab ühes mõõtühikus väärtuse vastavaks väärtuseks teises mõõtühikus. Sisesta mõõtühikud kas jutumärkides tekstina või viitena. Mõõtühikute sisestamisel lahtrisse peavad need täpselt vastama järgmisele loendile, mis on tõstutundlik: näiteks selleks, et sisestada lahtrisse väike l-täht (liitri tähistamiseks), sisesta esmalt ülakoma ' ja kohe selle järele l.

Omadus | Ühikud
Kaal | g, sg, lbm, u, ozm, stone, ton, grain, pweight, hweight, shweight, brton
Pikkus | m, mi, Nmi, in, ft, yd, ang, Pica, ell, parsec, lightyear, survey_mi
Kellaaeg | yr, day, hr, mn, sec, s
Rõhk | Pa, atm, at, mmHg, Torr, psi
Jõud | N, dyn, dy, lbf, pond
Energia | J, e, c, cal, eV, ev, HPh, Wh, wh, flb, BTU, btu
Võimsus | W, w, HP, PS
Väljatugevus | T, ga
Temperatuur | C, F, K, kel, Reau, Rank
Ruumala | l, L, lt, tsp, tbs, oz, cup, pt, us_pt, qt, gal, m3, mi3, Nmi3, in3, ft3, yd3, ang3, Pica3, barrel, bushel, regton, Schooner, Middy, Glass
Pindala | m2, mi2, Nmi2, in2, ft2, yd2, ang2, Pica2, Morgen, ar, acre, ha
Kiirus | m/s, m/sec, m/h, mph, kn, admkn
Info | bit, byte

Paksus kirjas mõõtühikutel võib olla ühetäheline eesliide järgnevast nimekirjast:

Eesliide | Kordaja
Y (jotta-) | 10^24
Z (zetta-) | 10^21
E (eksa-) | 10^18
P (peta-) | 10^15
T (tera-) | 10^12
G (giga-) | 10^9
M (mega-) | 10^6
k (kilo-) | 10^3
h (hekto-) | 10^2
e (deka-) | 10^1
d (detsi-) | 10^-1
c (senti-) | 10^-2
m (milli-) | 10^-3
u (mikro-) | 10^-6
n (nano-) | 10^-9
p (piko-) | 10^-12
f (femto-) | 10^-15
a (ato-) | 10^-18
z (zepto-) | 10^-21
y (jokto-) | 10^-24

Infoühikutele "bit" (bitt) ja "byte" (bait) võib eelneda ka üks järgmistest IEC 60027-2 / IEEE 1541 standardile vastavatest eesliidetest:

ki kibi 1024

Mi mebi 1048576

Gi gibi 1073741824

Ti tebi 1099511627776

Pi pebi 1125899906842620

Ei exbi 1152921504606850000

Zi zebi 1180591620717410000000

Yi yobi 1208925819614630000000000

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

### Syntax

CONVERT(Number; "FromUnit"; "ToUnit")

Arv on teisendatav arvväärtus.

Lähteühik on ühik, millest teisendatakse.

Sihtühik on ühik, millesse teisendatakse. Mõlemad ühikud peavad olema sama tüüpi.

### Example

=CONVERT(10;"HP";"PS") returns, rounded to two decimal places, 10.14. 10 HP equal 10.14 PS.

=CONVERT(10;"km";"mi") returns, rounded to two decimal places, 6.21. 10 kilometers equal 6.21 miles. The k is the permitted prefix character for the factor 10^3.

## FACTDOUBLE

Tagastab arvu poolfaktoriaali.

### Syntax

FACTDOUBLE(arv)

Tagastab arvu !! ehk arvu poolfaktoriaali, kui arv on nulliga võrdne või sellest suurem täisarv.

Paarisarvude korral tagastab FACTDOUBLE(n):

2*4*6*8* ... *n

Paaritute arvude korral tagastab FACTDOUBLE(n):

1*3*5*7* ... *n

FACTDOUBLE(0) tagastab määratluse järgi 1.

### Example

=IMABS("5+12j") tagastab 13.

=VALUE("4321") tagastab 4321.

=IMABS("5+12j") tagastab 13.

## IMAGINARY

Tulemuseks on kompleksarvu imaginaarosa kordaja.

### Syntax

IMAGINARY("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## IMARGUMENT

Tulemiseks on kompleksarvu argument (fii-nurk).

### Syntax

IMARGUMENT("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## IMCONJUGATE

Tulemuseks on kompleksarvu kaaskompleksarvu täiend.

### Syntax

IMCONJUGATE("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## IMDIV

Tulemuseks on kahe kompleksarvu jagatis.

### Syntax

IMDIV("lugeja"; "nimetaja")

Lugeja, nimetaja on kompleksarvud, mis sisestatakse kujul "x+yi" või "x+yj".

### Example

=IMDIV("-238+240i";"10+24i") tagastab 5+12i.

## IMEXP

Tulemuseks on arv e kompleksarvu astmes. Arvu e ligikaudne väärtus on 2,71828182845904.

### Syntax

IMEXP("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## IMLN

Tulemuseks on kompleksarvu naturaallogaritm. Arvu e ligikaudne väärtus on 2,71828182845904.

### Syntax

IMLN("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## IMLOG10

Tulemuseks on kompleksarvu kümnendlogaritm.

### Syntax

IMLOG10("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## IMLOG2

Tulemuseks on kompleksarvu kahendlogaritm.

### Syntax

IMLOG2("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## IMPOWER

The result is the ComplexNumber raised to the power of Number.

### Syntax

IMPOWER("kompleksarv"; arv)

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

Arv on astendaja.

### Example

=IMREAL("1+3j") tagastab 1.

## IMPRODUCT

Tulemuseks on kuni 29 kompleksarvu korrutis.

### Syntax

IMPRODUCT("kompleksarv"; "kompleksarv1"; ...)

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMPRODUCT("3+4j";"5-3j") tagastab 27+11j.

## IMREAL

Tulemuseks on kompleksarvu reaalosa.

### Syntax

IMREAL("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## IMSQRT

Tulemuseks on kompleksarvu ruutjuur.

### Syntax

IMSQRT("kompleksarv")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMSQRT("3+4i") tagastab 2+1i.

## IMSUB

Tulemuseks on kahe kompleksarvu vahe.

### Syntax

IMSUB("kompleksarv1"; "kompleksarv2")

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## IMSUM

Tulemuseks on kuni 29 kompleksarvu summa.

### Syntax

IMSUM("kompleksarv1"; "kompleksarv2"; ...)

Kompleksarv on kompleksarv, mis sisestatakse kujul "x + yi" või "x + yj".

### Example

=IMREAL("1+3j") tagastab 1.

## OCT2BIN

Vastuseks on sisestatud kaheksandarvule vastav kahendarv.

### Syntax

OCT2BIN(arv; kohti)

Arv on kaheksandarv. Arv võib sisaldada maksimaalselt 10 kohta. Olulisim bitt tähistab arvu märki, ülejäänud bitid tagastavad väärtuse. Negatiivsed arvud sisestatakse arvu kaks täiendina.

Kohti on tagastatavate kohtade arv.

### Example

=OR(A;B) tagastab väärtuse TÕENE

## OCT2DEC

Vastuseks on sisestatud kaheksandarvule vastav kümnendarv.

### Syntax

OCT2DEC(arv)

Arv on kaheksandarv. Arv võib sisaldada maksimaalselt 10 kohta. Olulisim bitt tähistab arvu märki, ülejäänud bitid tagastavad väärtuse. Negatiivsed arvud sisestatakse arvu kaks täiendina.

### Example

=OR(A;B) tagastab väärtuse TÕENE

## OCT2HEX

Vastuseks on sisestatud kaheksandarvule vastav kuueteistkümnendarv.

### Syntax

OCT2HEX(arv; kohti)

Arv on kaheksandarv. Arv võib sisaldada maksimaalselt 10 kohta. Olulisim bitt tähistab arvu märki, ülejäänud bitid tagastavad väärtuse. Negatiivsed arvud sisestatakse arvu kaks täiendina.

Kohti on tagastatavate kohtade arv.

### Example

=OCT2HEX(144;4) tagastab 0064.

Sarnased teemad

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category